commit:     7b535e3339e8a1e7f90aaacaf94bf70e6825f4e6
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 30 22:32:21 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Mon Jan 30 22:32:21 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b535e33

dev-ml/core_profiler: bump to 113.33.03

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-ml/core_profiler/Manifest                      |  1 +
 .../core_profiler/core_profiler-113.33.03.ebuild   | 57 ++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-ml/core_profiler/Manifest b/dev-ml/core_profiler/Manifest
index f771f7c..b8ba15e 100644
--- a/dev-ml/core_profiler/Manifest
+++ b/dev-ml/core_profiler/Manifest
@@ -1 +1,2 @@
 DIST core_profiler-113.33.00.tar.gz 109835 SHA256 
f170ca83f1d30017755b88251c52a2cbe473d57e1229ba48db29fe886412ee54 SHA512 
9ebdf6066f0501db3fc258a8b1e6c4bb904cad55194946f28dca17be6dfee3ff428b7e9b6d0563ac7114cc403aee1281253ef50b998a5e12aabbce6fde9e7deb
 WHIRLPOOL 
8d6a927055d51c8be1d8ef3e64e44f266d4f4747dc6d1d20d84d858435d001d4187bbdb9ae05dae4fcd80b6d21391576312cbad5ee6c1779183af4ec564dd222
+DIST core_profiler-113.33.03.tar.gz 108242 SHA256 
2325f58a40a031c7bf27dd103ef076d4132deb9e450fb2a11030654760e2ff7c SHA512 
fb17cfec3bed449106cf65bd6155f7390f362da6d2ed88971b769344b02c669cb822ecf0ed2b0595953b4148394f60c4de710285046e40c055db80fe73c4014b
 WHIRLPOOL 
a6b9ee8e3c31bbe277587f1fc7b30ba761743ce39ae797ccf0901b222b2303c19d110297ad45919fb4cf43c084cb7fa58dc2f58895726eb709bc2991878f3f75

diff --git a/dev-ml/core_profiler/core_profiler-113.33.03.ebuild 
b/dev-ml/core_profiler/core_profiler-113.33.03.ebuild
new file mode 100644
index 00000000..c9ace99
--- /dev/null
+++ b/dev-ml/core_profiler/core_profiler-113.33.03.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+OASIS_BUILD_DOCS=1
+OASIS_BUILD_TESTS=1
+
+inherit eutils oasis
+
+MY_P=${P/_/\~}
+DESCRIPTION="Jane Street's profiling library"
+HOMEPAGE="http://www.janestreet.com/ocaml";
+SRC_URI="http://ocaml.janestreet.com/ocaml-core/${PV%.*}/files/${P}.tar.gz";
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+       dev-ml/core:=
+       dev-ml/core_extended:=
+       dev-ml/bin-prot:=
+       dev-ml/fieldslib:=
+       dev-ml/ppx_assert:=
+       dev-ml/ppx_bench:=
+       dev-ml/ppx_driver:=
+       dev-ml/ppx_expect:=
+       dev-ml/ppx_inline_test:=
+       dev-ml/ppx_jane:=
+       dev-ml/re2:=
+       dev-ml/sexplib:=
+       dev-ml/textutils:=
+       dev-ml/typerep:=
+       dev-ml/variantslib:=
+       "
+DEPEND="${RDEPEND} dev-ml/opam"
+
+src_configure() {
+       emake setup.exe
+       OASIS_SETUP_COMMAND="./setup.exe" oasis_src_configure
+}
+
+src_compile() {
+       emake
+}
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${ED}/usr/share/doc/${PF}" \
+               ${PN}.install || die
+       dodoc CHANGES.md
+}

Reply via email to